<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.w3.org/1999/xhtml" xmlns:sec="http://www.w3.org/1999/xhtml">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/css/materialize.min.css">

<head>
    <meta charset="UTF-8">
    <title>Safety Car Home</title>

    <style>

        body {
            background-color: #555;
        }

        .navbar-fixed {
            position: absolute;
            z-index: 999999999;
        }


        /*.col .row{*/
        /*    margin-left: 5rem;*/
        /*    margin-right: 5rem;*/
        /*}*/
        .background {

            position: absolute;
            width: 100%;
            height: 100%;
            background-image: url("https://abali.ru/_d/2013/05/siniy_goluboj_fon_1920x1080.jpg");
        }

        /*.foreground{*/
        /*    backdrop-filter: blur(10px);*/
        /*    margin-left: 30rem;*/
        /*    margin-right: 30rem;*/
        /*    margin-top:  13rem;*/
        /*}*/
        aside {
            position: relative;
            padding: 1.5rem;
            font-size: 1.125rem;
            font-weight: 600;
            max-width: 700px;
            border-top: 4px solid;
            border-left: 4px solid;
            border-bottom: 4px solid;
            border-image-slice: 1;
            border-image-source: linear-gradient(90deg, #14b1ab, transparent);
        }

        .brand-logo {
            position: absolute;
            left: 0px;
            top: -100%;
        }

        ::placeholder {
            color: black;

        }

        .cards-list {
            margin-top: 10rem;
            z-index: 0;
            width: 100%;
            display: flex;
            justify-content: space-around;
            flex-wrap: wrap;
        }

        .card {
            margin: 30px auto;
            width: 500px;
            height: 500px;
            border-radius: 40px;
            box-shadow: 5px 5px 30px 7px rgba(0, 0, 0, 0.25), -5px -5px 30px 7px rgba(0, 0, 0, 0.22);
            cursor: pointer;
            transition: 0.4s;
        }

        .card .card_image {
            width: inherit;
            height: inherit;
            border-radius: 40px;
        }

        .card .card_image img {
            width: inherit;
            height: inherit;
            border-radius: 40px;
            object-fit: cover;
        }

        .card .card_title {
            text-align: center;
            border-radius: 0px 0px 40px 40px;
            font-family: sans-serif;
            font-weight: bold;
            font-size: 30px;
            margin-top: -80px;
            height: 40px;
        }

        .card:hover {
            transform: scale(0.9, 0.9);
            box-shadow: 5px 5px 30px 15px rgba(0, 0, 0, 0.25),
            -5px -5px 30px 15px rgba(0, 0, 0, 0.22);
        }

        .title-white {
            color: white;
        }

        .title-black {
            color: black;
        }

        @media all and (max-width: 500px) {
            .card-list {
                /* On small screens, we are no longer using row direction but column */
                flex-direction: column;
            }
        }

    </style>
</head>
<body>


<div class="wrapper">

    <div class="background">

        <div class="navbar-fixed">
            <nav class="transparent z-depth-0">
                <div class="nav-wrapper">
                    <!--                    <a href="#!" class="brand-logo"><img src="logo/logo.png" th:src="@{logo/logo.png}"></a>-->
                    <a href="#" data-target="mobile-demo" class="sidenav-trigger"><i class="material-icons">menu</i></a>
                    <ul class="right hide-on-med-and-down">
                        <li><a th:href="@{/}" href="index.html">Home</a></li>
                        <li><a th:href="@{/forms}" href="formPage.html">Forms and Offers</a></li>
                        <li sec:authorize="isAuthenticated()"><a th:href="@{/my-profile}" href="my-profile.html">My
                            Profile</a></li>

                        <li sec:authorize="hasRole('ROLE_ADMIN')">
                            <form th:action="@{/administrator}" method="get">
                                <button class="btn waves-effect waves-light col s4" type="submit" value="Admin">Admin
                                    Portal
                                </button>
                            </form>
                        </li>

                        <li sec:authorize="isAuthenticated()">
                            <form th:action="@{/logout}" method="post">
                                <button class="btn waves-effect waves-light col s4" type="submit" value="Logout">Logout!
                                </button>
                            </form>
                        </li>

                        <button class="btn waves-effect waves-light col s4" sec:authorize="!isAuthenticated()"
                                onclick="window.location='/login'" value="Login">Login!
                        </button>

                    </ul>
                </div>
            </nav>
        </div>

        <div class="cards-list">

            <div class="card 1">
                <div class="card_image" onclick="window.location='/forms'">
                    <img src="https://images.unsplash.com/photo-1454165804606-c3d57bc86b40?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=1050&q=80"/>
                </div>
                <div class="card_title title-white">
                    <p>Calculate insurance</p>
                </div>
            </div>

            <div class="card 2">
                <div class="card_image" onclick="window.location='/register'">
                    <img src="https://img.freepik.com/free-vector/laptop-with-login-form-page-screen-illustration_149152-269.jpg?size=626&ext=jpg"/>
                </div>
                <div class="card_title title-white">
                    <p>Register</p>
                </div>
            </div>


        </div>

    </div>

</div>


</body>
</html>